export declare enum IImpactTypes {
    BIO = "Bio",
    CARBON = "Carbon",
    WATER_POLLUTION = "WaterPollution",
    WATER_USAGE = "WaterUsage"
}
export declare enum IImpactValueTypes {
    BIO = "bio",
    CARBON = "carbon",
    EUTRO = "eutro",
    WATER = "water"
}
export declare enum IImpactMeasures {
    BIO = "",
    CARBON = "CO\u2082 eq.",
    EUTRO = "PO\u2084\u00B3\u207B eq.",
    WATER = "eq."
}
export declare enum IImpactUnits {
    GRAM = "g",
    KILO_LITER = "kl",
    LITER = "L",
    SLI = "SLI",
    TON = "t"
}
export declare const IMPACT_UNIT_DETAILS: {
    SLI: {
        DEFAULT: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
        M: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
    };
    VOLUME: {
        gl: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
        kl: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
        l: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
        ml: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
        tl: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
    };
    WEIGHT: {
        g: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
        gt: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
        kg: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
        kt: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
        mt: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
        t: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            VALUE: number;
        };
    };
};
export declare const BASE_UNIT_DESCRIPTIONS: {
    [x: string]: string;
};
export declare const IMPACT_LABELS: Record<IImpactValueTypes, string>;
export interface IImpactStats {
    border: string;
    hover: string;
    icon: string;
    id: IImpactTypes;
    label: string;
    measure: IImpactMeasures;
    selected: string;
    selectedHover: string;
    text: string;
    unit: string;
    value: IImpactValueTypes;
}
/**
 * TODO: Designers going to define all shades of colors
 * for impacts till then keeping hard coded hex values
 */
export declare const IMPACT_STATS: IImpactStats[];
//# sourceMappingURL=impactConstants.d.ts.map